import * as tslib_1 from "tslib";
import * as classNames from 'classnames';
import * as React from 'react';
import { getColorModifiers, getSizeModifiers, getStateModifiers, removeColorProps, removeSizeProps, removeStateProps, withHelpersModifiers, } from './../../bulma';
import { combineModifiers, getHTMLProps } from './../../helpers';
export function Input(props) {
    var className = classNames('input', tslib_1.__assign({}, combineModifiers(props, getColorModifiers, getSizeModifiers, getStateModifiers)), props.className);
    var HTMLProps = getHTMLProps(props, removeColorProps, removeSizeProps, removeStateProps);
    return React.createElement("input", tslib_1.__assign({}, HTMLProps, { className: className, type: props.type || 'text' }));
}
var HOC = /*@__PURE__*/ withHelpersModifiers(Input);
export default HOC;
//# sourceMappingURL=Input.js.map